From 8280543ffc4087f9bad24942bfe83fea0840a8f3 Mon Sep 17 00:00:00 2001
From: Jari Aalto <jari.aalto@cante.net>
Date: Sat, 28 Apr 2012 19:57:43 +0300
Subject: [PATCH] format-3.0
Organization: Private
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit

Signed-off-by: Jari Aalto <jari.aalto@cante.net>
---
 Makefile                                           |   10 +--
 debian/changelog                                   |   14 +++++
 debian/compat                                      |    2 +-
 debian/control                                     |    6 +-
 debian/copyright                                   |    9 ++-
 debian/patches/00list                              |    2 -
 debian/patches/05-local-changes.patch              |   66 ++++++++++++++++++++
 ...0_fix_old_urls.dpatch => 10-fix-old-urls.patch} |   23 ++++---
 ...dpatch => 20-sort-tail-deprecated-syntax.patch} |    8 +--
 debian/patches/series                              |    3 +
 debian/rules                                       |   11 ++--
 debian/source/format                               |    1 +
 dlint                                              |   18 +++---
 13 files changed, 126 insertions(+), 47 deletions(-)
 delete mode 100644 debian/patches/00list
 create mode 100644 debian/patches/05-local-changes.patch
 rename debian/patches/{10_fix_old_urls.dpatch => 10-fix-old-urls.patch} (59%)
 rename debian/patches/{10_sort-tail-deprecated-syntax.dpatch => 20-sort-tail-deprecated-syntax.patch} (84%)
 create mode 100644 debian/patches/series
 create mode 100644 debian/source/format

diff --git a/Makefile b/Makefile
index 63c38f8..c9c2ba0 100644
--- a/Makefile
+++ b/Makefile
@@ -5,12 +5,9 @@
 VERSION=1.4.0
 
 # Basic area to install things in:
-#DEST=$(DESTROOT)/usr/local
-# Path is provided in $(DESTDIR) from debian/rules
-DEST=$(DESTDIR)/usr
+DEST=$(DESTROOT)/usr/local
 
 BIN=$(DEST)/bin
-SHARE=$(DEST)/share/dlint
 MANEXT=1
 MAN=$(DEST)/man/man$(MANEXT)
 
@@ -24,9 +21,8 @@ all:
 
 install:
 	$(INSTALL) -c -m 755 -o bin -g bin dlint $(BIN)
-	$(INSTALL) -c -m 755 -o bin -g bin digparse $(SHARE)
-	#manual page is installed by dh_installmanpages
-	#$(INSTALL) -c -m 644 -o bin -g bin dlint.1 $(MAN)/dlint.$(MANEXT)
+	$(INSTALL) -c -m 755 -o bin -g bin digparse $(BIN)
+	$(INSTALL) -c -m 644 -o bin -g bin dlint.1 $(MAN)/dlint.$(MANEXT)
 
 clean:
 	-rm -f *.shar core
diff --git a/debian/changelog b/debian/changelog
index 79ba3cc..374122c 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,17 @@
+dlint (1.4.0-7.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
+  * Update to Standards-Version to 3.9.3 and debhelper to 9.
+  * Add build-arch and build-indep targets; use dh_prep in rules file.
+  * Patch 05 is new; in-line changes to original files.
+  * Add note about dead upstream homepage to copyright file.
+  * Fix copyright-refers-to-symlink-license (Lintian).
+  * Fix copyright-without-copyright-notice (Lintian).
+  * Fix no-homepage-field (Lintian).
+
+ -- Jari Aalto <jari.aalto@cante.net>  Sat, 28 Apr 2012 19:55:38 +0300
+
 dlint (1.4.0-7) unstable; urgency=medium
 
   * Large parts of upstream website has vanished. Correct respectively remove
diff --git a/debian/compat b/debian/compat
index 7813681..ec63514 100644
--- a/debian/compat
+++ b/debian/compat
@@ -1 +1 @@
-5
\ No newline at end of file
+9
diff --git a/debian/control b/debian/control
index d6646c1..e81adac 100644
--- a/debian/control
+++ b/debian/control
@@ -2,12 +2,12 @@ Source: dlint
 Section: net
 Priority: extra
 Maintainer: Florian Hinzmann <fh@debian.org>
-Standards-Version: 3.7.2
-Build-Depends: dpatch, debhelper (>= 5)
+Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9)
 
 Package: dlint
 Architecture: all
-Depends: ${perl:Depends}, dnsutils
+Depends: ${misc:Depends}, ${perl:Depends}, dnsutils
 Description: Checks dns zone information using nameserver lookups
  This program analyzes any DNS zone you specify, and reports any problems it
  finds by displaying errors and warnings.  Then it descends recursively to
diff --git a/debian/copyright b/debian/copyright
index 7085037..9fa7532 100644
--- a/debian/copyright
+++ b/debian/copyright
@@ -1,8 +1,11 @@
 This package was debianized by Florian Hinzmann fh@debian.org on
 Mon, 20 Jul 1998 23:38:52 +0200.
 
-Its actual homepage is http://www.domtools.com/
-Upstream author is Paul Balyoz <pab@domtools.com>
+Homepage http://www.domtools.com/ as of 2012-04-28 no longer exists.
+
+Upstream author:
+
+    Copyright (C) 1993-1999 Paul Balyoz <pab@domtools.com>
 
 Copyright:
 
@@ -17,6 +20,6 @@ Copyright:
     GNU General Public License for more details.
 
     A copy of the GNU General Public License can be found at
-    /usr/share/common-licenses/GPL or ordered from 
+    /usr/share/common-licenses/GPL-2 or ordered from 
     Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
     Boston, MA  02110-1301, USA
diff --git a/debian/patches/00list b/debian/patches/00list
deleted file mode 100644
index ef9ec33..0000000
--- a/debian/patches/00list
+++ /dev/null
@@ -1,2 +0,0 @@
-10_sort-tail-deprecated-syntax
-10_fix_old_urls
diff --git a/debian/patches/05-local-changes.patch b/debian/patches/05-local-changes.patch
new file mode 100644
index 0000000..f560a70
--- /dev/null
+++ b/debian/patches/05-local-changes.patch
@@ -0,0 +1,66 @@
+From: Unknown
+Subject: Debian local changes
+
+diff --git a/Makefile b/Makefile
+index c9c2ba0..63c38f8 100644
+--- a/Makefile
++++ b/Makefile
+@@ -5,9 +5,12 @@
+ VERSION=1.4.0
+ 
+ # Basic area to install things in:
+-DEST=$(DESTROOT)/usr/local
++#DEST=$(DESTROOT)/usr/local
++# Path is provided in $(DESTDIR) from debian/rules
++DEST=$(DESTDIR)/usr
+ 
+ BIN=$(DEST)/bin
++SHARE=$(DEST)/share/dlint
+ MANEXT=1
+ MAN=$(DEST)/man/man$(MANEXT)
+ 
+@@ -21,8 +24,9 @@ all:
+ 
+ install:
+ 	$(INSTALL) -c -m 755 -o bin -g bin dlint $(BIN)
+-	$(INSTALL) -c -m 755 -o bin -g bin digparse $(BIN)
+-	$(INSTALL) -c -m 644 -o bin -g bin dlint.1 $(MAN)/dlint.$(MANEXT)
++	$(INSTALL) -c -m 755 -o bin -g bin digparse $(SHARE)
++	#manual page is installed by dh_installmanpages
++	#$(INSTALL) -c -m 644 -o bin -g bin dlint.1 $(MAN)/dlint.$(MANEXT)
+ 
+ clean:
+ 	-rm -f *.shar core
+diff --git a/dlint b/dlint
+index 7daaaff..522fa4e 100755
+--- a/dlint
++++ b/dlint
+@@ -65,19 +65,19 @@ VERSION=1.4.0
+ 
+ # RR filter from DiG output format to all FQDN on every line format.
+ # Change this path for your site!  See Makefile.
+-rrfilt="/usr/local/bin/digparse"
++rrfilt="/usr/share/dlint/digparse"
+ 
+ # ------------- END CONFIGURATIONS -------------------------
+ 
+ 
+-TMPNS=/var/tmp/dlintns.$$
+-TMPZONE=/var/tmp/dlintzone.$$
+-TMPPTR=/var/tmp/dlintptr.$$
+-TMPA=/var/tmp/dlinta.$$
+-TMPSUBDOMS=/var/tmp/dlintsubdoms.$$
+-TMPERR=/var/tmp/dlinterr.$$
+-TMPERR2=/var/tmp/dlinterr2.$$
+-TMPSERIALS=/var/tmp/dlintserials.$$
++TMPNS=`tempfile --prefix=dlintns`
++TMPZONE=`tempfile --prefix=dlintzone`
++TMPPTR=`tempfile --prefix=dlintptr`
++TMPA=`tempfile --prefix=dlinta`
++TMPSUBDOMS=`tempfile --prefix=dlintsubdoms`
++TMPERR=`tempfile --prefix=dlinterr`
++TMPERR2=`tempfile --prefix=dlinterr2`
++TMPSERIALS=`tempfile --prefix=dlintserials`
+ 
+ trap "rm -f $TMPNS $TMPZONE $TMPPTR $TMPA $TMPSUBDOMS $TMPERR $TMPERR2; exit 4" 1 2 3 15
+ 
diff --git a/debian/patches/10_fix_old_urls.dpatch b/debian/patches/10-fix-old-urls.patch
similarity index 59%
rename from debian/patches/10_fix_old_urls.dpatch
rename to debian/patches/10-fix-old-urls.patch
index 8e985f7..70a1ec7 100644
--- a/debian/patches/10_fix_old_urls.dpatch
+++ b/debian/patches/10-fix-old-urls.patch
@@ -1,13 +1,13 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 10_fix_old_urls.dpatch by  <fh@debian.org>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Removes/corrects old URLs
+From: <fh@debian.org>
+Subject: Removes/corrects old URLs
 
-@DPATCH@
-diff -urNad dlint~/README dlint/README
---- dlint~/README	2004-08-23 21:27:50.000000000 +0200
-+++ dlint/README	2007-02-10 00:36:10.374739304 +0100
+---
+ README  |    4 ++--
+ dlint.1 |    2 +-
+ 2 files changed, 3 insertions(+), 3 deletions(-)
+
+--- a/README
++++ b/README
 @@ -27,7 +27,7 @@
  
  Dlint is also available on the Internet from your web browser:
@@ -26,9 +26,8 @@ diff -urNad dlint~/README dlint/README
  
  --
  Paul Balyoz,  Unix Sysadmin and Programmer
-diff -urNad dlint~/dlint.1 dlint/dlint.1
---- dlint~/dlint.1	2004-08-23 21:27:50.000000000 +0200
-+++ dlint/dlint.1	2007-02-10 00:37:02.116760376 +0100
+--- a/dlint.1
++++ b/dlint.1
 @@ -85,7 +85,7 @@
  .SH AUTHOR
  Paul Balyoz <pab@domtools.com>
diff --git a/debian/patches/10_sort-tail-deprecated-syntax.dpatch b/debian/patches/20-sort-tail-deprecated-syntax.patch
similarity index 84%
rename from debian/patches/10_sort-tail-deprecated-syntax.dpatch
rename to debian/patches/20-sort-tail-deprecated-syntax.patch
index e840359..11e6b67 100644
--- a/debian/patches/10_sort-tail-deprecated-syntax.dpatch
+++ b/debian/patches/20-sort-tail-deprecated-syntax.patch
@@ -1,10 +1,6 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 10_sort-tail-deprecated-syntax.dpatch by  <fh@debian.org>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Do not use deprecated syntax of tail and sort.
+From: <fh@debian.org>
+Subject: Do not use deprecated syntax of tail and sort.
 
-@DPATCH@
 diff -urNad dlint~/dlint dlint/dlint
 --- dlint~/dlint	2004-08-23 21:27:50.000000000 +0200
 +++ dlint/dlint	2006-11-10 23:19:03.114445518 +0100
diff --git a/debian/patches/series b/debian/patches/series
new file mode 100644
index 0000000..0d9ce24
--- /dev/null
+++ b/debian/patches/series
@@ -0,0 +1,3 @@
+05-local-changes.patch
+10-fix-old-urls.patch
+20-sort-tail-deprecated-syntax.patch
diff --git a/debian/rules b/debian/rules
index 90db340..59ccda5 100755
--- a/debian/rules
+++ b/debian/rules
@@ -8,17 +8,20 @@
 # This is the debhelper compatability version to use.
 #export DH_COMPAT=3
 
-include /usr/share/dpatch/dpatch.make
 
 
 configure: configure-stamp
-configure-stamp: patch
+configure-stamp:
 	dh_testdir
 	# Add here commands to configure the package.
 	
 
 	touch configure-stamp
 
+
+build-arch: build
+build-indep: build
+
 build: configure-stamp build-stamp
 build-stamp:
 	dh_testdir
@@ -29,7 +32,7 @@ build-stamp:
 
 	touch build-stamp
 
-clean: unpatch clean-unpatched
+clean: clean-unpatched
 
 clean-unpatched:
 	dh_testdir
@@ -44,7 +47,7 @@ clean-unpatched:
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	# Add here commands to install the package into debian/tmp.
diff --git a/debian/source/format b/debian/source/format
new file mode 100644
index 0000000..163aaf8
--- /dev/null
+++ b/debian/source/format
@@ -0,0 +1 @@
+3.0 (quilt)
diff --git a/dlint b/dlint
index 522fa4e..7daaaff 100755
--- a/dlint
+++ b/dlint
@@ -65,19 +65,19 @@ VERSION=1.4.0
 
 # RR filter from DiG output format to all FQDN on every line format.
 # Change this path for your site!  See Makefile.
-rrfilt="/usr/share/dlint/digparse"
+rrfilt="/usr/local/bin/digparse"
 
 # ------------- END CONFIGURATIONS -------------------------
 
 
-TMPNS=`tempfile --prefix=dlintns`
-TMPZONE=`tempfile --prefix=dlintzone`
-TMPPTR=`tempfile --prefix=dlintptr`
-TMPA=`tempfile --prefix=dlinta`
-TMPSUBDOMS=`tempfile --prefix=dlintsubdoms`
-TMPERR=`tempfile --prefix=dlinterr`
-TMPERR2=`tempfile --prefix=dlinterr2`
-TMPSERIALS=`tempfile --prefix=dlintserials`
+TMPNS=/var/tmp/dlintns.$$
+TMPZONE=/var/tmp/dlintzone.$$
+TMPPTR=/var/tmp/dlintptr.$$
+TMPA=/var/tmp/dlinta.$$
+TMPSUBDOMS=/var/tmp/dlintsubdoms.$$
+TMPERR=/var/tmp/dlinterr.$$
+TMPERR2=/var/tmp/dlinterr2.$$
+TMPSERIALS=/var/tmp/dlintserials.$$
 
 trap "rm -f $TMPNS $TMPZONE $TMPPTR $TMPA $TMPSUBDOMS $TMPERR $TMPERR2; exit 4" 1 2 3 15
 
-- 
1.7.10

